/*
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0 - 0.0.5
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */
/**
* Common
*/
a {
  transition: all .3s ease;
}
a.email {
  word-break: break-all;
}

#estimaterequest .submit {
	text-align:center;
}
#estimaterequest .submit input {
	background: #7ABA8E;
    border: 1px solid #7ABA8E;
    border-radius: 25px 20px 15px 25px / 25px 24px 0px 25px !important;
    color: #fff;
    text-transform: capitalize;
    white-space: pre-wrap;
    transition: all .3s ease;
}

/* Button */
.btn-wrapper ul {
  list-style: none;
  margin: 0;
  padding: 0;

  display: flex;
  flex-wrap: wrap;
  flex-direction: column;
  flex-wrap: wrap;
  align-items: baseline;

}
.btn-wrapper.d-flex-row ul {
  flex-direction: row;
  justify-content: flex-start;
}
.btn-wrapper.d-flex-row.content-center ul {
  justify-content: center;
}
.btn-wrapper.d-flex-row .btn:first-child {
  margin-right: 10px;
  margin-bottom: 10px;
}
.btn-wrapper.mx-auto {
  margin: 0 auto;
}
.btn {
  display: inline-block;
  width: 165px;
  color: #fff;
  background: #F33E36;
  border-radius: 10px;
  padding: 10px 5px;
  border: 1px solid #F33E36;
  font-size: 1.1rem;
  line-height: 1.3;
  text-decoration: none;
  text-align: center;
  transition: all .3s ease;
}
.btn:hover {
  color: #F33E36;
  background: #fff;
  border-color: #fff;
}
.btn-qbath a.elementor-button {
  border-radius: 25px 20px 15px 25px / 25px 24px 0px 25px !important;
}
.btn-qbath a.elementor-button:hover {
  border-radius: 25px 0px 15px 25px / 25px 24px 15px 25px !important;
}
.quoteblock {
	background:#ebf8ee;
	padding:20px 30px;
	margin-bottom:30px;
	border-radius:30px;
}
.quoteblock input[type="file"] {
	width:210px ;
}
@media screen and (max-width:600px) {
  .btn-wrapper.d-flex-row {
    flex-direction: column;
  }
  .btn {
    width: 150px;
    font-size: .9rem;
  }
}
/* form-layout */
.form-wrapper {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-between;
  /* box-sizing: border-box; */
}
.form-wrapper .form-item h2,
.form-wrapper .form-item p {
  line-height: 1.3;
  margin: 0 !important;
}
.form-wrapper .form-item br {
  display: none;
}
.form-wrapper .form-item {
  padding: 3px 0;
}
.form-wrapper label {
  display: none;
}
.form-wrapper .form-item input,
.form-wrapper .form-item textarea,
.form-wrapper .form-item select  {
  width: 100%;
   border: 0;
  border-bottom: 1px solid #ddd;
  border-radius: 0px;
}
.form-wrapper .form-item textarea {
  resize: none;
  height: 200px;
}
.wpcf7-form-control:focus {
  outline:none;
}

/* submit button */
.form-wrapper .form-item input[type=submit] {
  background: #7ABA8E;
  border: 1px solid #7ABA8E;
  /* border-radius: 5px; */
  border-radius: 25px 20px 15px 25px / 25px 24px 0px 25px !important;
  color: #fff;
  text-transform: capitalize;
  white-space: pre-wrap;
  transition: all .3s ease;
}

.form-wrapper .form-item input[type=submit]:hover {
  background: #779A7F;
  border-color: #779A7F;
  border-radius: 25px 0px 15px 25px / 25px 24px 15px 25px !important;
}
/* radio button */
.form-wrapper .form-item.radio-item input {
  width: 20px;
}
.form-wrapper .form-item.radio-item .wpcf7-form-control {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}
.form-wrapper .form-item.radio-item .wpcf7-form-control > span {
  width: calc(50% - 10px);
  margin: 0 10px 0 0 !important;
}
/* File */
/* To change the design */
.form-wrapper .form-item.file-item .wpcf7-form-control-wrap {
  display: none;
}
.form-wrapper .form-item.file-item .file-item__label {
  display: block;
  width: 100%;
  padding: 10px 0;
  border-bottom: 1px solid #ddd;
  cursor: pointer;
  font-size: 1em;
}
.form-wrapper .form-item.file-item input {
  border-bottom: 0;
}

.form-wrapper .full-item {
  width: 100%;
}
.form-wrapper .half-item {
  /* width: 50%; */
  width: calc(100% / 2 - 5px);

}
.form-wrapper .one-third-item {
  width: calc(100% / 3 - 5px);
}
/* form Message */
.wpcf7 form .wpcf7-response-output {
  margin: 10px 0 0;
}

@media screen and (max-width:768px) {
	.quoteblock input[type="file"] {
		width:100%;
		display:block;
		margin-bottom:10px;
	}

  .form-wrapper {
    padding: 30px 10px 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
  }
  .form-wrapper .form-item {
    padding: 7px 0;
  }
  .form-wrapper .half-item {
    width: 100%;
  }
  .form-wrapper .form-item input[type=submit] {
    width: 100%;
  }
  .form-wrapper .form-item.radio-item .wpcf7-form-control > span {
    width: 100%;
    margin: 0 !important;
  }
}
@media screen and (max-width:600px) {
  .form-wrapper .one-third-item {
    width: 100%;
  }
}
/* -form-layout */

/**
* header
*/
.main-header-section nav.elementor-nav-menu--main .menu-item:not(.nav-quote):not(.nav-phone) a:hover {
  color: #7ABA8E !important;
}

.nav-quote,
.nav-phone {
  align-items: center !important;
}
.nav-quote a,
.nav-phone a {
  border: 1px solid #333;
  border-radius: 25px 20px 15px 25px / 25px 24px 0px 25px;
  padding: 10px 20px !important;
  font-size: 15px !important;
  transition: all .3s ease;
}
.nav-quote a:hover,
.nav-phone a:hover {
  border-radius: 25px 0px 15px 25px / 25px 24px 15px 25px;
}
.nav-quote {
  margin-left: 30px !important;
}
.nav-quote a:hover {
  color: #fff !important;
  background: #7ABA8E;
  border-color: #7ABA8E;
}

.nav-phone {
  margin-left: 10px !important;
}
.nav-phone a {
  background: #7ABA8E;
  border-color: #7ABA8E;
}
.nav-phone a:hover {
  color: #333 !important;
  background: #fff;
  border-color: #7ABA8E;
}

/* Show this section only tablet&mobile */
.main-header-section__mobile-top {

}


@media screen and (max-width:1400px) {
  .nav-quote {
    margin-left: 0px !important;
  }
  .nav-quote a,
  .nav-phone a {
    font-size: 14px !important;
  }
}
@media screen and (max-width:1200px) {
  nav.elementor-nav-menu--main .menu-item a {
    padding: 13px 10px !important;
  }
}
@media screen and (max-width:1024px) {
  /* Hide phone&quote from main navigation */
  .nav-quote,
  .nav-phone {
    display: none !important;
  }
}


/**
* Footer
*/
.main-footer-section {}

.main-footer-section__top ul {
  list-style: none;
  margin: 0;
  padding: 0;
}
.main-footer-section__top ul li {
  margin-bottom: 7px;
}
.main-footer-section__top ul li a {
  color: #DFDFDF;
}
.main-footer-section__top ul li a:hover {
  color: #7ABA8E;
}


.main-footer-section__bottom {

}

/* Copyright(@r-footer-copyright) */
.footer-copyright {
  margin: 0;
  /* text-align: center; */
}
.footer-copyright,
.footer-copyright a {
  color: #fff;
  font-size: 14px;
}
.footer-copyright a:hover {
  color: #ddd;
}



/**
* Home page
*/
/* Home banner */
.home-banner-section {
  position: relative;
  height: 500px; /* same val as slider height */
}
.home-banner-section__slider {
  position: absolute;
  /* width: 60%; */
  top: 0;
  right: 0;
}

/* Arrows */
.home-banner-section .elementor-swiper-button {
  top: calc(100% - 30px) !important; /* 30px: arrows size */
  border: 2px solid #fff;
  border-radius: 50%;
  padding: 2px;
}
.home-banner-section .elementor-swiper-button:hover {
  background: #3883526b;
}
.home-banner-section .elementor-swiper-button.elementor-swiper-button-prev {
  left: unset !important;
  right: 60px !important;
}
.home-banner-section .elementor-swiper-button.elementor-swiper-button-next {
  right: 15px !important;
}

.home-about-section p:last-child {
  margin-bottom: 0;
}
.section-border-bottom .e-con-inner {
  border-bottom: 1px solid #ddd;
}
.home-service-section .swiper-slide-inner {
  position: relative;
}
.home-service-section .swiper-slide-inner img {
  aspect-ratio: 5/6;
  object-fit: cover;
  border-radius: 10px;
}
.home-service-section .swiper-slide-inner .elementor-image-carousel-caption {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%;
}

.home-service-section .elementor-swiper-button-prev {
  left: -20px !important;
}
.home-service-section .elementor-swiper-button-next {
  right: -20px !important;
}
.home-why-section {
}
.home-why-section__items .e-con-inner {
  display: flex;
  flex-direction: row !important;
  flex-wrap: wrap !important;
  justify-content: space-between !important;
  align-items: stretch !important;
}
.home-why-section__items .e-con-inner>div {
  width: calc(100% / 2 - 20px) !important;
  margin-block-end: 20px !important;
}
.home-middle-banner-section img {
  aspect-ratio: 5/3;
  object-fit: cover;
}

.home-gallery-section {

}
.home-bottom-banner-section p:last-child {
  margin-bottom: 0;
}


/**
* About us page
*/
.subpage-heading-section {

}
.about-2columns-section p:last-child {
  margin-bottom: 0;
}
.about-contact-section p:last-child {
  /* margin-bottom: 0; */
}
.about-contact-section .elementor-icon-list-item svg {
  transition: all .3s ease;
}
.about-contact-section .elementor-icon-list-item:hover svg {
  animation: animation-shake 1s linear  infinite;
}
@keyframes animation-shake {
	0% { transform: rotate(0deg); }
  50% { transform: rotate(-10deg); }
	100% {transform: rotate(0deg); }
}

/**
* Projects page
*/
.project-bottom-banner-section {

}
/**
* Single Post page
*/
.single-post-main-section {
}
.services-2columns-section.column-reverse {

}


/**
* Serivces page
*/
.services-2columns-section p:last-child {
  margin-bottom: 0;
}


/**
* Responsive
*/
@media screen and (max-width:1300px) {
  /* Home page */
  .home-middle-banner-section img {
    aspect-ratio: unset;
  }
}
@media screen and (max-width:767px) {
  /* Home page */
  .home-banner-section {
    height: 600px; /* same val as slider height */
  }
  .home-banner-section .e-con-inner>div:first-child {
    z-index: 10;
    padding: 10px !important;
    backdrop-filter: blur(0px) saturate(180%);
    -webkit-backdrop-filter: blur(0px) saturate(180%);
    background-color: rgba(122, 186, 142, 0.45);
    border-radius: 12px;
    border: 1px solid rgba(209, 213, 219, 0.3);
  }
  .home-why-section__items .e-con-inner>div {
    width: calc(100% / 2 - 10px) !important;
    padding: 10px;
    border: 1px solid #ddd;
    border-radius: 5px;
    background: #fff6;
  }
  .home-why-section__items .e-con-inner>div .elementor-image-box-img {
    display: flex;
    justify-content: center;
  }
  .home-why-section__items .e-con-inner>div .elementor-image-box-title {
    text-align: center;
    margin: 10px 0;
  }
  .home-why-section__items .e-con-inner>div .elementor-image-box-description {
    text-align: center;
  }
}
@media screen and (max-width:600px) {
  /* Home page */
  .home-why-section__items .e-con-inner>div {
    width: 100% !important;
  }
  .home-why-section__items .e-con-inner>div:last-child {
    margin-block-end: 0px !important;
  }
  .home-why-section__items .e-con-inner>div .elementor-image-box-img {
    width: 100% !important;
    max-width: 250px;
  }

}
@media screen and (max-width:400px) {
  /* Home page */
  .home-banner-section .elementor-heading-title {
    font-size: 25px !important;
  }
  .home-service-section .swiper-slide-inner .elementor-image-carousel-caption {
    font-size: 26px;
  }
}
